org.codehaus.plexus.configuration

## Class PlexusComponentDescriptorMerger

- java.lang.Object
- - org.codehaus.plexus.configuration.PlexusComponentDescriptorMerger

    public class PlexusComponentDescriptorMerger
    extends java.lang.Object

Author:
  Kenney Westerhof

### Constructor Summary

Constructors
Constructor and Description
`PlexusComponentDescriptorMerger()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `merge(ComponentDescriptor<?> override, ComponentDescriptor<?> target)` Merges override and target, where target is updated with override.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlexusComponentDescriptorMerger

    public PlexusComponentDescriptorMerger()

### Method Detail

#### merge

    public static void merge(ComponentDescriptor<?> override,
                             ComponentDescriptor<?> target)

Merges override and target, where target is updated with override.